All resources All frames

# GrepPutFilter

This filter looks for a forbidden string in all incomming document (via PUT), if this string is found then emit a 403 reply (FORBIDDEN) whith a link on an explaination document.

## Inherits

The GrepPutFilter class inerits from the following classes:

- Resource
- FramedResource
- ResourceFrame
- ResourceFilter
- PutFilter

## Attributes description

The GrepPutFilter defines the following attributes:

- forbidden-string
- redirect-url

`forbidden-string`

semantics
  The string to search in the incomming document.
type
  This attribute is an editable StringAttribute
default value
  This attribute defaults to null.

`redirect-url`

semantics
  The URL pointing to the explaination document.
type
  This attribute is an editable StringAttribute
default value
  This attribute defaults to null.

Jigsaw Team
$Id: org.w3c.jigsaw.filters.GrepPutFilter.html,v 1.3 1998/03/27 08:17:39 bmahe Exp $